<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Shows button to invite a user
 *
 * @author 	Tim Düsterhus
 * @copyright 	2011 Tim Düsterhus
 * @package 	timwolla.wcf.chat.invitation
 * @license 	Creative Commons BY-NC-ND <http://creativecommons.org/licenses/by-nc-nd/3.0/de/>
 */
class ChatPageInvitationButtonListener implements EventListener {
	/**
	 * @see	EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (!WCF::getUser()->getPermission('user.chat.canInvite')) return;
		if (!WCF::getUser()->userID) return;
		
		WCF::getTPL()->append('additionalOptions', '<li><a href="javascript:void(0);" onclick="if (typeof OverlayHandlerObj.overlays[\'invitation\'] == \'undefined\') { new Overlay(\'invitation\', \''.WCF::getLanguage()->get('wcf.chat.invitation.title').'\', \'index.php?page=ChatInvitation\', { ajax: true, evalScripts: true, resizable: false, minimizable: true, height: 350, width: 400, top: (document.viewport.getScrollOffsets().top + 20) }); } else { OverlayHandlerObj.overlays[\'invitation\'].close(); }"><span>'.WCF::getLanguage()->get('wcf.chat.invitation.open').'</span></a></li>');
		WCF::getTPL()->append('specialStyles', '<script type="text/javascript" src="'.RELATIVE_WCF_DIR.'js/Overlay.class.js"></script>');
	}
}
